Bug 1643345 - Review Request: python-datadog - Python library for the Datadog API
Summary: Review Request: python-datadog - Python library for the Datadog API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-26 04:15 UTC by Dalton Miner
Modified: 2018-10-31 16:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-31 13:57:37 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Dalton Miner 2018-10-26 04:15:57 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/dminer/python-datadog/fedora-rawhide-x86_64/00815604-python-datadog/python-datadog.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/dminer/python-datadog/fedora-rawhide-x86_64/00815604-python-datadog/python-datadog-0.23.0-1.fc30.src.rpm
Description:
Datadogpy is a collection of tools suitable for inclusion in existing Python
projects or for development of standalone scripts. It provides an abstraction on
top of Datadog's raw HTTP interface and the Agent's StatsD metrics aggregation
server, to interact with Datadog and efficiently report events and metrics.

Fedora Account System Username: dminer

Comment 2 Neal Gompa 2018-10-26 05:21:03 UTC
Taking this review and sponsoring this packager.

Comment 3 Neal Gompa 2018-10-26 05:21:26 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated", "*No copyright* BSD
     (unspecified)". 75 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/1643345-python-datadog/licensecheck.txt
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-datadog-0.23.0-2.fc30.noarch.rpm
          python-datadog-0.23.0-2.fc30.src.rpm
python3-datadog.noarch: W: spelling-error %description -l en_US Datadogpy -> Datatype
python3-datadog.noarch: W: no-documentation
python3-datadog.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/datadog/dogstatsd/base.py /usr/bin/env python
python3-datadog.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/datadog/dogstatsd/base.py 644 /usr/bin/env python
python3-datadog.noarch: W: no-manual-page-for-binary dogshell
python3-datadog.noarch: W: no-manual-page-for-binary dogshellwrap
python-datadog.src: W: spelling-error %description -l en_US Datadogpy -> Datatype
2 packages and 0 specfiles checked; 2 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python3-datadog.noarch: W: spelling-error %description -l en_US Datadogpy -> Datatype
python3-datadog.noarch: W: no-documentation
python3-datadog.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/datadog/dogstatsd/base.py /usr/bin/env python
python3-datadog.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/datadog/dogstatsd/base.py 644 /usr/bin/env python
python3-datadog.noarch: W: no-manual-page-for-binary dogshell
python3-datadog.noarch: W: no-manual-page-for-binary dogshellwrap
1 packages and 0 specfiles checked; 2 errors, 4 warnings.



Requires
--------
python3-datadog (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3.7dist(decorator)
    python3.7dist(requests)
    python3.7dist(simplejson)



Provides
--------
python3-datadog:
    python3-datadog
    python3.7dist(datadog)
    python3dist(datadog)



Source checksums
----------------
https://github.com/DataDog/datadogpy/archive/v0.23.0/datadogpy-0.23.0.tar.gz :
  CHECKSUM(SHA256) this package     : 1c1325ea15cd961d600412a3a761424f4d4db0da81fd60a82551c9aaef415a4d
  CHECKSUM(SHA256) upstream package : 1c1325ea15cd961d600412a3a761424f4d4db0da81fd60a82551c9aaef415a4d


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1643345 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Neal Gompa 2018-10-26 05:24:24 UTC
> [!]: Patches link to upstream bugs/comments/lists or are otherwise
>     justified.

The only issue here was the comment you used in your spec for your patch:

> # 0001-setup.py-Rename-script-names-from-dog-to-dogshell.patch
> Patch0001:      0001-setup.py-Rename-script-names-from-dog-to-dogshell.patch

I think you meant to paste something about this pull request: https://github.com/DataDog/datadogpy/pull/305

As for the rpmlint errors, they're non-issues.

Please fix the comment for the patch on import.

PACKAGE APPROVED.

Comment 5 Neal Gompa 2018-10-26 05:26:02 UTC
Packager has been sponsored.

Comment 6 Gwyn Ciesla 2018-10-29 13:44:26 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-datadog

Comment 7 Fedora Update System 2018-10-30 22:45:23 UTC
python-datadog-0.23.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-41245490d7

Comment 8 Fedora Update System 2018-10-30 22:46:47 UTC
python-datadog-0.23.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3c8ce8366d

Comment 9 Fedora Update System 2018-10-30 22:47:50 UTC
python-datadog-0.23.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3c9da6b0a0

Comment 10 Fedora Update System 2018-10-30 22:48:30 UTC
python-datadog-0.23.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-41b102c793

Comment 11 Fedora Update System 2018-10-31 13:57:37 UTC
python-datadog-0.23.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-10-31 15:25:11 UTC
python-datadog-0.23.0-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-10-31 15:52:22 UTC
python-datadog-0.23.0-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-10-31 16:41:31 UTC
python-datadog-0.23.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.